VSTGUI: UTF8CodePointIterator< BaseIterator > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
UTF8CodePointIterator< BaseIterator > Class Template Reference

`#include <cstring.h>`

## Public Types
using | iterator_category = std::bidirectional_iterator_tag
using | value_type = char32_t
using | difference_type = ptrdiff_t
using | pointer = char32_t*
using | reference = char32_t&
using | CodePoint = value_type

## Public Member Functions
| UTF8CodePointIterator ()=default
| UTF8CodePointIterator (const UTF8CodePointIterator &o) noexcept
| UTF8CodePointIterator (const BaseIterator &iterator) noexcept
UTF8CodePointIterator & | operator++ () noexcept
UTF8CodePointIterator & | operator-- () noexcept
UTF8CodePointIterator | operator++ (int) noexcept
UTF8CodePointIterator | operator-- (int) noexcept
bool | operator== (const UTF8CodePointIterator &other) const noexcept
bool | operator!= (const UTF8CodePointIterator &other) const noexcept
CodePoint | operator* () const noexcept
BaseIterator | base () const noexcept

## Member Typedef Documentation

## ◆ CodePoint

template<typename BaseIterator>

using CodePoint = value_type

## ◆ difference_type

template<typename BaseIterator>

using difference_type = ptrdiff_t

## ◆ iterator_category

template<typename BaseIterator>

using iterator_category = std::bidirectional_iterator_tag

## ◆ pointer

template<typename BaseIterator>

using pointer = char32_t*

## ◆ reference

template<typename BaseIterator>

using reference = char32_t&

## ◆ value_type

template<typename BaseIterator>

using value_type = char32_t

## Constructor & Destructor Documentation

## ◆ UTF8CodePointIterator() [1/3]

template<typename BaseIterator>

UTF8CodePointIterator | ( |  | ) |
| default

## ◆ UTF8CodePointIterator() [2/3]

template<typename BaseIterator>

UTF8CodePointIterator | ( | const UTF8CodePointIterator< BaseIterator > & | o | ) |
| inlinenoexcept

## ◆ UTF8CodePointIterator() [3/3]

template<typename BaseIterator>

UTF8CodePointIterator | ( | const BaseIterator & | iterator | ) |
| inlineexplicitnoexcept

## Member Function Documentation

## ◆ base()

template<typename BaseIterator>

BaseIterator base | ( |  | ) | const
| inlinenoexcept

## ◆ operator!=()

template<typename BaseIterator>

bool operator!= | ( | const UTF8CodePointIterator< BaseIterator > & | other | ) | const
| inlinenoexcept

## ◆ operator*()

template<typename BaseIterator>

UTF8CodePointIterator< BaseIterator >::CodePoint operator* | ( |  | ) | const
| inlinenoexcept

## ◆ operator++() [1/2]

template<typename BaseIterator>

UTF8CodePointIterator< BaseIterator > & operator++ | ( |  | ) |
| inlinenoexcept

## ◆ operator++() [2/2]

template<typename BaseIterator>

UTF8CodePointIterator< BaseIterator > operator++ | ( | int |  | ) |
| inlinenoexcept

## ◆ operator--() [1/2]

template<typename BaseIterator>

UTF8CodePointIterator< BaseIterator > & operator-- | ( |  | ) |
| inlinenoexcept

## ◆ operator--() [2/2]

template<typename BaseIterator>

UTF8CodePointIterator< BaseIterator > operator-- | ( | int |  | ) |
| inlinenoexcept

## ◆ operator==()

template<typename BaseIterator>

bool operator== | ( | const UTF8CodePointIterator< BaseIterator > & | other | ) | const
| inlinenoexcept

The documentation for this class was generated from the following file:

- cstring.h